org.apache.ignite.internal.processors.query

## Interface GridQueryTypeDescriptor

    public interface GridQueryTypeDescriptor

Value descriptor which allows to extract fields from value object of given type.

### Method Summary

Methods
`Map<String,Class<?>>` `fields()` Gets mapping from field name to its type.
`Map<String,GridQueryIndexDescriptor>` `indexes()` Gets indexes for this type.
`Class<?>` `keyClass()` Gets key class.
`String` `name()` Gets type name which uniquely identifies this type.
`<T> T` `value(String field, Object key, Object val)` Gets field value for given key and value.
`Class<?>` `valueClass()` Gets value class.
`boolean` `valueTextIndex()` Returns `true` if string representation of value should be indexed as text.

### Method Detail

#### name

    String name()

Gets type name which uniquely identifies this type.

Returns:
  Type name which uniquely identifies this type.

#### fields

    Map<String,Class<?>> fields()

Gets mapping from field name to its type.

Returns:
  Fields that can be indexed, participate in queries and can be queried using method.

#### value

    <T> T value(String field,
              Object key,
              Object val)
            throws IgniteCheckedException

Gets field value for given key and value.

Parameters:
  `field` - Field name.
  `key` - Key.
  `val` - Value.
Returns:
  Value for given field.
Throws:
  `IgniteCheckedException` - If failed.

#### indexes

    Map<String,GridQueryIndexDescriptor> indexes()

Gets indexes for this type.

Returns:
  Indexes for this type.

#### valueClass

    Class<?> valueClass()

Gets value class.

Returns:
  Value class.

#### keyClass

    Class<?> keyClass()

Gets key class.

Returns:
  Key class.

#### valueTextIndex

    boolean valueTextIndex()

Returns `true` if string representation of value should be indexed as text.

Returns:
  If string representation of value should be full-text indexed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015